use std::fmt::Display;

use crate::{card_index::CardIndex, card_suit::CardSuit};

pub struct Card {
    pub suit: CardSuit,
    pub index: CardIndex,
}

impl Display for Card {
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
        self.suit.fmt(f)?;
        f.write_str(" ")?;
        self.index.fmt(f)?;

        Ok(())
    }
}
